import Animator from "parsegraph-animator";
import Navport from "./Navport";
export default class CameraFilter extends Animator {
    _nav: Navport;
    _cameraChangeVersion: number;
    _lastNodePosition: any;
    _lastCameraPosition: any;
    _nodePosition: any;
    _cameraPosition: any;
    _requiredScale: number;
    constructor(nav: Navport);
    focusedNode(): import("parsegraph-artist/dist/src/PaintedNode").default<any, import("parsegraph-scene/dist/src/WorldRenderable").default>;
    getNodePosition(): {
        x: any;
        y: any;
        scale: any;
    };
    getRequiredScale(): number;
    savePosition(): void;
    nav(): Navport;
    camera(): import("parsegraph-camera").default;
    latestChangeVersion(): number;
    actualChangeVersion(): number;
    restart(): void;
    getFocusedCameraScale(): number;
    /**
     * @param t {number} the percentage done of the animation. This is a value between 0 and 1, inclusive.
     */
    animate(t: number): void;
    /**
     * Adjust the camera based on the current time, to focus on the focused
     * node.
     *
     * @return {boolean} true if another frame is needed (i.e. animating)
     */
    render(): boolean;
}
//# sourceMappingURL=CameraFilter.d.ts.map